local code =
[[

extern vec3 iResolution;
extern Image iChannel0;
//extern number iGlobalTime;

void mainImage( out vec4 fragColor, in vec2 fragCoord )
{
    float seperation = 0.001;
    
    vec2 offsetRed = vec2(seperation,seperation);
    vec2 offsetGreen = vec2(0,-seperation/2);
    vec2 offsetBlue = vec2(-seperation/2,0);
    
    vec2 uv = fragCoord.xy / iResolution.xy;
    
    vec4 red = texture2D(iChannel0, uv - offsetRed);
    vec4 green = texture2D(iChannel0, uv - offsetGreen);
    vec4 blue = texture2D(iChannel0, uv - offsetBlue);
    
    fragColor = vec4(red.r, green.g, blue.b, 1.0);
}

vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 pixel_coords)
{
    vec2 fragCoord = texture_coords * iResolution.xy;
    mainImage( color, fragCoord );
    return color;
}
]]